#!/bin/ksh
#
#  Installs SOLVE and resolve 
#     JB 3-May-2000, TT 29-July-2000; 19-Oct-2000; 08-Mar-2001
#
#  Edit these environmental variables to reflect your taste in installation
#  The path names for each directory must begin with a slash "/" or this won't work:
#
export SOLVEBINDIR=/usr/local/bin     	# binaries go here
export SOLVELIBDIR=/usr/local/lib/solve	# libs go here
export RESOLVELIBDIR=/usr/local/lib/resolve	# symop.lib goes here too just to maintain
						# backward compatibility with old 
						# resolve scripts
browser=netscape			# path to your preferred browser
#
#  Usually you shouldn't edit below here 
#
#####################################################################################
#####################################################################################
#
echo " "
echo "Installing SOLVE and resolve "
echo " "
echo "Installing SOLVE and resolve binaries in ${SOLVEBINDIR}."
#
# test to make sure directory exists!
# 
 if  ! test -r ${SOLVEBINDIR}  ; \
    then mkdir ${SOLVEBINDIR} ; \
 fi
# Now test to make sure directory was created!
# 
 if  ! test -r ${SOLVEBINDIR}  ; \
    then echo " "; \
    echo "Sorry, could not create the directory " ${SOLVEBINDIR} ; \
    echo "Please create it, then try again!" ; \
    echo " "; \
    exit; \
 fi
#
cd bin
tar cf - . | (cd ${SOLVEBINDIR} ; tar -xof - )
cd ..

echo "Installing SOLVE and resolve library files in ${SOLVELIBDIR}."
#
# test to make sure directory exists!
# 
 if  ! test -r ${SOLVELIBDIR}  ; \
    then mkdir ${SOLVELIBDIR} ; \
 fi
#
# Now test to make sure directory was created!
# 
 if  ! test -r ${SOLVELIBDIR}  ; \
    then echo " " ; \
    echo "Sorry, could not create the directory " ${SOLVELIBDIR} ; \
    echo "Please create it, then try again !" ; \
    echo " " ; \
    exit ; \
 fi
#
cd lib
tar cf - . | (cd ${SOLVELIBDIR} ; tar -xof -)
cd ..

echo "Installing symop.lib file in ${RESOLVELIBDIR}."
#
# test to make sure directory exists!
# 
 if  ! test -r ${RESOLVELIBDIR}  ; \
    then mkdir ${RESOLVELIBDIR} ; \
 fi
#
# Now test to make sure directory was created!
# 
 if  ! test -r ${RESOLVELIBDIR}  ; \
    then echo " " ; \
    echo "Sorry, could not create the directory " ${RESOLVELIBDIR} ; \
    echo "Please create it, then try again !" ; \
    echo " " ; \
    exit ; \
 fi
#
cd lib
tar cf - symop.lib | (cd ${RESOLVELIBDIR} ; tar -xof -)
cd ..

echo "Creating resolvehelp script in ${SOLVEBINDIR}"
cat > ${SOLVEBINDIR}/resolvehelp <<EOD
#!/bin/ksh
$browser ${SOLVELIBDIR}/html/html_resolve/resolve_table_of_contents.htm &
EOD
chmod 755 ${SOLVEBINDIR}/resolvehelp

echo "Creating solvehelp script in ${SOLVEBINDIR}"
cat > ${SOLVEBINDIR}/solvehelp <<EOD
#!/bin/ksh
$browser ${SOLVELIBDIR}/html/html_solve/manual/table-of-contents.html &
EOD
chmod 755 ${SOLVEBINDIR}/solvehelp

echo " "
echo "All done.  You can now run resolve or resolve_giant or resolve_huge."
echo "Same for solve solve_giant and solve_huge."
echo "The giant versions are for big unit cells; huge for really huge ones."
echo " "
echo "Note: on some machines you may need to have users use the "
echo "command \"unlimit\" to allow enough system resources."
echo "This can go in a .cshrc file "
echo " "
echo "For samples of how to run SOLVE and resolve, "
echo "see the directory ${SOLVELIBDIR}/examples_solve and examples_resolve "
echo " "
echo "For help on running resolve, type \"resolvehelp\" "
echo "For help on running SOLVE, type \"solvehelp\" "
echo " (these may not be active until you log in again) "
echo " "
echo "Please sure users have these environmental variables set:"
echo "in bash or ksh specify:"
echo "export CCP4_OPEN=UNKNOWN"
echo "export SYMOP=${SOLVELIBDIR}/symop.lib"
echo " "
echo "in csh specify:"
echo "setenv CCP4_OPEN UNKNOWN"
echo "setenv SYMOP ${SOLVELIBDIR}/symop.lib"
echo " "
echo "End of SOLVE/resolve installation."

