#!/bin/csh
#
#   Command file to run resolve on "solve.mtz" and
#   write out "resolve.mtz"
#
#   The data in solve.mtz are from IF5A, see Peat et 
#   al., Structure 6, 1207-1214 (1998). The refined
#   structure of IF5A is in the PDB file "1BKB.pdb" 
#   included in this directory.
#
#   All resolve needs to run is the solvent content
#   if it is reading SOLVE output.
#
#   Note: see http://solve.lanl.gov for more
#   information on keywords you can use.
#
#   tell resolve the location of "symop.lib" and also
#   tell resolve to overwrite files:
#
setenv SYMOP /usr/local/lib/resolve/symop.lib
setenv CCP4_OPEN UNKNOWN
#
#   ready to run resolve:
#
resolve<<EOD
solvent_content 0.60
EOD
